% Overhead file to call the different GDP simuluation file
% needs to call MasterRegNeo (for coefficient regularisation)
% and MasterRegSig (for covariance regularisation)
%
% the file loops over 4 DGPs, and is intended to run on a cluster as the
% individual simulations take up to 18h on the cluster

clear all
rng(1337)
curdict=cd;
addpath([curdict '/glmnet_matlab'])
addpath([curdict '/Graphical Lasso'])
addpath([curdict '/Functions'])

for kk = 1:4
    
    poolName = gcp('nocreate'); 
    delete(poolName); % reset cluster every iteration
    
    MasterRegNeo(kk)
    
    poolName = gcp('nocreate'); 
    delete(poolName); % reset cluster every iteration
    
    MasterRegSig(kk)
    
end
